Package org.apache.tools.ant.types.optional.imageio

# Class ColorMapper

java.lang.Object
org.apache.tools.ant.types.optional.imageio.ColorMapper

public final class ColorMapper extends Object

See Also:
  - `ImageIOTask`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COLOR_BLACK`
black string
`static final String`
`COLOR_BLUE`
blue string
`static final String`
`COLOR_CYAN`
cyan string
`static final String`
`COLOR_DARKGRAY`
black string
`static final String`
`COLOR_DARKGREY`
darkgrey string
`static final String`
`COLOR_GRAY`
gray string
`static final String`
`COLOR_GREEN`
green string
`static final String`
`COLOR_GREY`
grey string
`static final String`
`COLOR_LIGHTGRAY`
lightgray string
`static final String`
`COLOR_LIGHTGREY`
lightgrey string
`static final String`
`COLOR_MAGENTA`
magenta string
`static final String`
`COLOR_ORANGE`
orange string
`static final String`
`COLOR_PINK`
pink string
`static final String`
`COLOR_RED`
reg string
`static final String`
`COLOR_WHITE`
white string
`static final String`
`COLOR_YELLOW`
yellow string

## Method Summary

Modifier and Type
Method
Description
`static Color`
`getColorByName(String colorName)`
Convert a color name to a color value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COLOR_BLACK

public static final String COLOR_BLACK
black string

See Also:
  - Constant Field Values

### COLOR_BLUE

public static final String COLOR_BLUE
blue string

See Also:
  - Constant Field Values

### COLOR_CYAN

public static final String COLOR_CYAN
cyan string

See Also:
  - Constant Field Values

### COLOR_DARKGRAY

public static final String COLOR_DARKGRAY
black string

See Also:
  - Constant Field Values

### COLOR_GRAY

public static final String COLOR_GRAY
gray string

See Also:
  - Constant Field Values

### COLOR_LIGHTGRAY

public static final String COLOR_LIGHTGRAY
lightgray string

See Also:
  - Constant Field Values

### COLOR_DARKGREY

public static final String COLOR_DARKGREY
darkgrey string

See Also:
  - Constant Field Values

### COLOR_GREY

public static final String COLOR_GREY
grey string

See Also:
  - Constant Field Values

### COLOR_LIGHTGREY

public static final String COLOR_LIGHTGREY
lightgrey string

See Also:
  - Constant Field Values

### COLOR_GREEN

public static final String COLOR_GREEN
green string

See Also:
  - Constant Field Values

### COLOR_MAGENTA

public static final String COLOR_MAGENTA
magenta string

See Also:
  - Constant Field Values

### COLOR_ORANGE

public static final String COLOR_ORANGE
orange string

See Also:
  - Constant Field Values

### COLOR_PINK

public static final String COLOR_PINK
pink string

See Also:
  - Constant Field Values

### COLOR_RED

public static final String COLOR_RED
reg string

See Also:
  - Constant Field Values

### COLOR_WHITE

public static final String COLOR_WHITE
white string

See Also:
  - Constant Field Values

### COLOR_YELLOW

public static final String COLOR_YELLOW
yellow string

See Also:
  - Constant Field Values

## Method Details

### getColorByName

public static Color getColorByName(String colorName)
Convert a color name to a color value.

Parameters:
  `colorName` - a string repr of the color.
Returns:
  the color value.
To do:
  refactor to use an EnumeratedAttribute (maybe?)